CREATE TABLE ap_discount_offers_tl (
    DISCOUNT_OFFER_ID        NUMBER(18, 0),
    NAME                     VARCHAR2(240)    NOT NULL,
    DESCRIPTION              VARCHAR2(960),
    SOURCE_LANG              VARCHAR2(16)     NOT NULL,
    LANGUAGE                 VARCHAR2(16) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    DISCOUNT_OFFER_ID        NUMBER(18, 0),
    NAME                     VARCHAR2(240)    NOT NULL,
    DESCRIPTION              VARCHAR2(960),
    SOURCE_LANG              VARCHAR2(16)     NOT NULL,
    LANGUAGE                 VARCHAR2(16) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    CONSTRAINT pk_ap_discount_offers_tl PRIMARY KEY (DISCOUNT_OFFER_ID, LANGUAGE, DISCOUNT_OFFER_ID, LANGUAGE)
);
